Bug 100493 - Import of DOCX with ContextControls displays wrong information
Summary: Import of DOCX with ContextControls displays wrong information
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: filter:docx
Depends on:
Blocks: DOCX
  Show dependency treegraph
 
Reported: 2016-06-20 07:09 UTC by Wolfgang Unger
Modified: 2019-12-11 03:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Demonstration Document with 3 contained ContextControls (35.04 KB, application/vnd.ms-word.document.macroEnabled.12)
2016-06-20 07:09 UTC, Wolfgang Unger
Details
Libreoffice 5.3.0.0.alpha0+ VS Word 2010 (53.93 KB, image/png)
2016-10-13 12:07 UTC, Xisco Faulí
Details
Display in normal view (88.14 KB, image/png)
2016-10-21 08:23 UTC, Wolfgang Unger
Details
Display in design mode view (87.26 KB, image/png)
2016-10-21 08:25 UTC, Wolfgang Unger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Unger 2016-06-20 07:09:17 UTC
Created attachment 125751 [details]
Demonstration Document with 3 contained ContextControls

Import of document with format "DOCX": any contained ContextControls are shown in the wrong way. 

Today the ContextControls are always shown as they are defined in the template.

As soon as they are related to a XML-storage in the document they shall NOT display the field itself but the data in the XML-storage. THAT DOES NOT HAPPEN AT THE MOMENT.

See attached demo-document - it contains 3 ContextControls that should show the texts "Test 2", "Test 3" and "Das ist ein Test-Text".
Comment 1 Xisco Faulí 2016-10-13 12:07:07 UTC
Created attachment 127986 [details]
Libreoffice 5.3.0.0.alpha0+ VS Word 2010

Hi Wolfgang,
Thank you for reporting the bug.
I've checked it in Microsoft Word 2010 and Libreoffice 5.3.0.0.alpha0+ and the result is same, See attached image.
Could you please add the steps to reproduce the issue?
Regards
Comment 2 Wolfgang Unger 2016-10-21 08:23:34 UTC
Created attachment 128114 [details]
Display in normal view
Comment 3 Wolfgang Unger 2016-10-21 08:25:33 UTC
Created attachment 128115 [details]
Display in design mode view
Comment 4 Wolfgang Unger 2016-10-21 08:29:59 UTC
We open the contextcontrol-document with MS Word 2010 (version 14.0.7173.5000 32-Bit), locally installed MS Office suite.
The resulting views I uploaded today, see according attachment. If you activate the design-mode in MS Word you see the context-controls in a slighly different way. So I uploaded both views that we can find.
If you use a web-based version of MS Office the result may differ, there we're currently in contact with MS in order to find a solution...
Comment 5 Wolfgang Unger 2016-10-21 08:53:18 UTC
There are no special steps required - just open the file with the appropriate version of MS Word and you should get the same view that is shown in the new attachment(s).
Comment 6 Buovjaga 2016-11-03 10:48:15 UTC
(In reply to Wolfgang Unger from comment #0)
> As soon as they are related to a XML-storage in the document they shall NOT
> display the field itself but the data in the XML-storage. THAT DOES NOT
> HAPPEN AT THE MOMENT.

What does this mean? Do we need some XML-storage to see it like in your screenshots? Does this explain, why Xisco is not seeing the "Test 2" etc. in Word 2010?
Comment 7 Wolfgang Unger 2016-11-04 07:53:57 UTC
Behavior of Word2010 of Xisco cannot be explained - we tested again with several different computers and the presented view was always as shown in my latest attachments/screenshots.

Only the browser-based office365 (latest version) shows the wrong view (identical to Xisco's experience), but depending on the account that you're using (MS makes differences between professional and 'normal' users... - here we're in contact with MS to get more insight).

ContextControls work like a view on XML-data that is stored INSIDE of the document. Just open the Zip-Conainer (or rename ContextControls.docm to ContextControls.zip) and you will find an additional directory named customXml. Inside you see 3 Xml-Files named item1.xml, item2.xml and item3.xml - these contain the data to be shown as content of these ContextControl-UI-elements.
Comment 8 Buovjaga 2016-11-14 16:04:47 UTC
Ok, I confirm MSO 2013 shows the controls while LibO does not.

Win 8.1 32-bit
MSO 2013
LibO Version: 5.3.0.0.alpha1+
Build ID: c5f5b3e5334c52502c1de28828a44ad469c68850
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-14_06:24:19
Locale: fi-FI (fi_FI); Calc: group
Comment 9 QA Administrators 2017-12-10 16:42:53 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2019-12-11 03:37:37 UTC
Dear Wolfgang Unger,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug